package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 可靠性管理措施对象 t_kkxglcs
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public class TKkxglcs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 区域划分 */
    @Excel(name = "区域划分", dictType = "AREA_DIVIDE")
    private String area;

    /** 问题 */
    @Excel(name = "问题")
    private String problem;

    /** 年损失金额 */
    @Excel(name = "年损失金额")
    private Long loss;

    /** 措施 */
    @Excel(name = "措施")
    private String measures;

    /** 类别 */
    @Excel(name = "类别", dictType = "RMGTMEASSURES_CATEGORY")
    private String category;

    /** 紧急程度 */
    @Excel(name = "紧急程度", dictType = "URGENCY")
    private String urgency;

    /** 是否有节约 */
    @Excel(name = "是否有节约", dictType = "YES_NO")
    private String saving;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startdate;

    /** 关闭日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "关闭日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date closedate;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 创意管理编号 */
    @Excel(name = "创意管理编号")
    private String imid;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setProblem(String problem)
    {
        this.problem = problem;
    }

    public String getProblem()
    {
        return problem;
    }
    public void setLoss(Long loss)
    {
        this.loss = loss;
    }

    public Long getLoss()
    {
        return loss;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setUrgency(String urgency)
    {
        this.urgency = urgency;
    }

    public String getUrgency()
    {
        return urgency;
    }
    public void setSaving(String saving)
    {
        this.saving = saving;
    }

    public String getSaving()
    {
        return saving;
    }
    public void setStartdate(Date startdate)
    {
        this.startdate = startdate;
    }

    public Date getStartdate()
    {
        return startdate;
    }
    public void setClosedate(Date closedate)
    {
        this.closedate = closedate;
    }

    public Date getClosedate()
    {
        return closedate;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setImid(String imid)
    {
        this.imid = imid;
    }

    public String getImid()
    {
        return imid;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("area", getArea())
            .append("problem", getProblem())
            .append("loss", getLoss())
            .append("measures", getMeasures())
            .append("category", getCategory())
            .append("urgency", getUrgency())
            .append("saving", getSaving())
            .append("startdate", getStartdate())
            .append("closedate", getClosedate())
            .append("status", getStatus())
            .append("imid", getImid())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
